> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get private endpoint configuration for region within cloud provider for an organization

> Deprecated. Please follow [documentation](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list) for the updated process.



## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/privateEndpointConfig
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/privateEndpointConfig:
    get:
      tags:
        - Organization
      summary: >-
        Get private endpoint configuration for region within cloud provider for
        an organization
      description: >-
        Deprecated. Please follow
        [documentation](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list)
        for the updated process.
      parameters:
        - in: path
          name: organizationId
          description: ID of the requested organization.
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: cloud_provider
          description: Cloud provider identifier. One of aws, gcp, or azure.
          schema:
            type: string
          required: true
        - in: query
          name: region_id
          description: Region identifier within specific cloud providers.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: >-
                      #/components/schemas/OrganizationCloudRegionPrivateEndpointConfig
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
      deprecated: true
components:
  schemas:
    OrganizationCloudRegionPrivateEndpointConfig:
      properties:
        endpointServiceId:
          description: >-
            Unique identifier of the interface endpoint you created in your VPC
            with the AWS(Service Name) or GCP(Target Service) resource
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````